Branch: Tag:

1998-01-10

1998-01-10 21:31:10 by Fredrik Hübinette (Hubbe) <hubbe@hubbe.net>

now create_process works (and it uses winsock 2)

Rev: NT/init_nt:1.3
Rev: NT/tools/rntcc:1.4
Rev: NT/tools/uname:1.1
Rev: src/configure.in:1.148
Rev: src/fd_control.c:1.12
Rev: src/fdlib.c:1.6
Rev: src/fdlib.h:1.4
Rev: src/main.c:1.31
Rev: src/modules/Image/colortable.c:1.31
Rev: src/modules/Image/configure.in:1.6
Rev: src/modules/Image/font.c:1.25
Rev: src/modules/files/configure.in:1.38
Rev: src/modules/files/file.c:1.66
Rev: src/modules/files/socket.c:1.22
Rev: src/modules/files/testsuite.in:1.10
Rev: src/modules/spider/configure.in:1.21
Rev: src/modules/spider/dumudp.c:1.30
Rev: src/modules/system/configure.in:1.16
Rev: src/modules/system/system.c:1.35
Rev: src/signal_handler.c:1.18
Rev: src/time_stuff.h:1.6

12:   OPERATION=linking   INCLUDE_PATH=   LDOPTS="OPTION STACK=8m" + LIBRARIES=""    -  + DEBUG=no + OPTIMIZE=no +  + check_linker_error() { +  ERROR=ok +  sed -e 's/\\/\\\\/g' | while read line +  do +  echo "$line" >&2 +  case "x$line" in +  *\ W1008:*) +  ERROR=failed +  ;; +  esac +  done +  +  echo $ERROR +  exit 0 + } +    while test "$#" != 0; do    case $1 in    -shared) ;;    -E) OPERATION=preprocessing ;;    -c) OPERATION=compiling ;; -  -g*) CFLAGS="$CFLAGS -d2 " ; LDOPTS="$LDOPTS DEBUG WATCOM ALL" ;; -  -O) CFLAGS="$CFLAGS -ox" ;; -  -O2) CFLAGS="$CFLAGS -otexan" ;; +  -g*) +  CFLAGS="$CFLAGS -d2 " +  LDOPTS="$LDOPTS DEBUG WATCOM ALL" +  DEBUG=yes +  ;; + # -O*) ;; +  -O) +  CFLAGS="$CFLAGS -ox" +  OPTIMIZE=yes +  ;; +  -O2) +  CFLAGS="$CFLAGS -otexan" +  OPTIMIZE=yes +  ;;    *.c) SOURCES="$SOURCES $1" ;;    *.o | *.a) OBJECTS="$OBJECTS $1" ;;    -o) OUTPUT="$2" ; shift ;;
51:    CFLAGS="$CFLAGS `echo $1 | sed -e 's/^-I/-d/g'`"    ;;    - # Options to parse: - # -l +  -l*) +  tmp=`echo $1 | sed -e 's/^-l//'` +  LIBRARIES="$LIBRARIES LIBRARY $tmp" +  ;;       *)    echo "Unrecognized option $1"
62:    shift   done    + if [ x$DEBUG$OPTIMIZE = xyesyes ]; then +  echo Debug and optimization not supported at the same time +  exit 1 + else +  : + fi +    rm $OUTPUT 2>/dev/null 1>/dev/null || :      OLDIFS="$IFS"
110:    for a in `fixpath $SOURCES`    do    BASE=`echo $a | sed -e 's/\.c//'` -  do_cmd wcc386 -i$IPATH $CFLAGS -fr$ERRORFILE -fo=$BASE.obj $a +  do_cmd wcc386 -i$IPATH $CFLAGS -fo=$BASE.obj $a    OBJECTS="$OBJECTS $BASE.obj"    done       LDFILE=TMP$$.lk -  echo "name $OUTPUT.exe $LDOPTS FIL `fixpath $OBJECTS | sed -e 's/ /,/g'`" >$LDFILE -  do_cmd wlink @$LDFILE +  echo "name $OUTPUT.exe $LDOPTS FIL `fixpath $OBJECTS | sed -e 's/ /,/g'` $LIBRARIES" >$LDFILE +  OK=`do_cmd wlink @$LDFILE | check_linker_error` +  if [ x$OK != xok ]; then +  exit 1 +  fi    TARGET=$OUTPUT.exe    if [ $CLEANUP = yes ]; then    if [ "x$LDFILE" != x ]; then